# Summary Statistics Datamodel

A datamodel for reports on data

URI: https://w3id.org/linkml/summary_statistics
Name: summary-statistics

## Classes

| Class | Description |
| --- | --- |
| [FacetStatistics](FacetStatistics.md) | summary statistics for a data facet |
| [GlobalStatistics](GlobalStatistics.md) | summary statistics for the entire resource |
| [SummaryStatisticCollection](SummaryStatisticCollection.md) | A summary statistics report object |


## Slots

| Slot | Description |
| --- | --- |
| [annotation_property_count](annotation_property_count.md) | None |
| [anonymous_class_expression_count](anonymous_class_expression_count.md) | None |
| [anonymous_individual_count](anonymous_individual_count.md) | None |
| [by_category](by_category.md) | statistics keyed by category |
| [by_ontology](by_ontology.md) | statistics keyed by ontology |
| [by_subset](by_subset.md) | statistics keyed by ontology subset |
| [by_taxon](by_taxon.md) | statistics keyed by organism taxon |
| [class_count](class_count.md) | None |
| [class_count_excluding_deprecated](class_count_excluding_deprecated.md) | None |
| [class_count_with_definitions](class_count_with_definitions.md) | None |
| [class_statistic_group](class_statistic_group.md) | None |
| [count_statistic](count_statistic.md) | None |
| [datatype_property_count](datatype_property_count.md) | None |
| [description_logic_profile](description_logic_profile.md) | None |
| [distinct_synonym_count](distinct_synonym_count.md) | None |
| [equivalentclasses_axiom_count](equivalentclasses_axiom_count.md) | None |
| [facet](facet.md) | None |
| [individual_count](individual_count.md) | None |
| [individual_statistic_group](individual_statistic_group.md) | None |
| [mapping_count](mapping_count.md) | None |
| [metadata_statistic_group](metadata_statistic_group.md) | None |
| [named_individual_count](named_individual_count.md) | None |
| [object_property_count](object_property_count.md) | None |
| [ontology_count](ontology_count.md) | None |
| [owl_axiom_count](owl_axiom_count.md) | None |
| [owl_statistic_group](owl_statistic_group.md) | None |
| [property_count](property_count.md) | None |
| [property_statistic_group](property_statistic_group.md) | None |
| [rdf_triple_count](rdf_triple_count.md) | None |
| [subclass_of_axiom_count](subclass_of_axiom_count.md) | None |
| [synonym_statement_count](synonym_statement_count.md) | None |
| [unsatisfiable_class_count](unsatisfiable_class_count.md) | None |
| [untyped_entity_count](untyped_entity_count.md) | None |


## Enumerations

| Enumeration | Description |
| --- | --- |


## Subsets

| Subset | Description |
| --- | --- |
